Skip to content

Migration

All operations require authentication.

6 operationsv1/me/migration
Agent setup

Retrieve all country migrationsBeta

GET
/1.0/me/migration

Response

200integer[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/me/migration \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Retrieve information about a country migrationBeta

GET
/1.0/me/migration/{migrationId}

Path parameters

migrationId
required
integer

Migration ID

Response

200Migrationsuccessful operation
from
read-only
OvhSubsidiaryEnum

Billing country to migrate from

ValuesCZDEESEUFIFRGBIEITLTMANLPLPTSNTN
id
read-only
integer

Migration Id

status
read-only
StatusEnum

Migration status

ValuesCANCELEDCHECKEDDOINGMIGRATEDTODOTO_CHECK
steps
read-only
Step[]

Migration steps

to
read-only
OvhSubsidiaryEnum

Billing country to migrate to

ValuesCZDEESEUFIFRGBIEITLTMANLPLPTSNTN

Example uses migrationId = 0

$ curl https://api.eu.ovhcloud.com/1.0/me/migration/{migrationId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "from": "CZ", "id": 0, "status": "CANCELED", "steps": [ { "contracts": { "agreements": [ { "agreed": "ko", "contractId": 0, "date": "2024-01-01T12:00:00Z", "id": 0 } ] }, "debt": { "balanceAmount": { "currencyCode": "AUD", "priceInUcents": 0, "text": "string", "value": 0 }, "ovhAccountAmount": { "currencyCode": "AUD", "priceInUcents": 0, "text": "string", "value": 0 } }, "name": "CONTRACTS", "orders": { "pendingOperations": true, "pendingPromotions": true, "pendingSubscriptions": true }, "status": "OK" } ], "to": "CZ"}

Retrieve all contracts for a billing country migrationBeta

GET
/1.0/me/migration/{migrationId}/contract

Path parameters

migrationId
required
integer

Migration ID

Response

200integer[]successful operation

Example uses migrationId = 0

$ curl https://api.eu.ovhcloud.com/1.0/me/migration/{migrationId}/contract \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Retrieve detail about a contract for a billing country migrationBeta

GET
/1.0/me/migration/{migrationId}/contract/{contractId}

Path parameters

contractId
required
integer

Contract ID

migrationId
required
integer

Migration ID

Response

200Contractsuccessful operation
active
read-only
boolean

Status

date
read-only
stringdate

Date

id
read-only
integer

ID

name
read-only
string

Name

pdf
read-only
string

PDF URL

text
read-only
string

Text of the contract

Example uses contractId = 0, migrationId = 0

$ curl https://api.eu.ovhcloud.com/1.0/me/migration/{migrationId}/contract/{contractId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "active": true, "date": "2024-01-01", "id": 0, "name": "string", "pdf": "string", "text": "string"}

Accept contractBeta

POST
/1.0/me/migration/{migrationId}/contract/{contractId}/accept

Path parameters

contractId
required
integer

Contract ID

migrationId
required
integer

Migration ID

Response

200ContractAgreementsuccessful operation
agreed
read-only
AgreementStatusEnum

State of the agreement

Valueskoobsoleteoktodo
contractId
read-only
integer

Contract ID

date
read-only
stringdate-time

Date of creation if the agreement is not signed. Date of signature if the agreement is signed

id
read-only
integer

Contract Agreement ID

Example uses contractId = 0, migrationId = 0

$ curl https://api.eu.ovhcloud.com/1.0/me/migration/{migrationId}/contract/{contractId}/accept \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "agreed": "ko", "contractId": 0, "date": "2024-01-01T12:00:00Z", "id": 0}

Retrieve agreement for this contractBeta

GET
/1.0/me/migration/{migrationId}/contract/{contractId}/agreement

Path parameters

contractId
required
integer

Contract ID

migrationId
required
integer

Migration ID

Response

200ContractAgreementsuccessful operation
agreed
read-only
AgreementStatusEnum

State of the agreement

Valueskoobsoleteoktodo
contractId
read-only
integer

Contract ID

date
read-only
stringdate-time

Date of creation if the agreement is not signed. Date of signature if the agreement is signed

id
read-only
integer

Contract Agreement ID

Example uses contractId = 0, migrationId = 0

$ curl https://api.eu.ovhcloud.com/1.0/me/migration/{migrationId}/contract/{contractId}/agreement \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "agreed": "ko", "contractId": 0, "date": "2024-01-01T12:00:00Z", "id": 0}